{{- $position := .position -}}
{{- $title := .title -}}
{{- with .data -}}
  <section class="block-video" id="block-{{ $position }}">
    <div class="container">
      <div class="block-content">
        <figure{{ with $title }} id="{{ . | urlize }}"{{ end }}>
          {{ with .url }}
          <div class="video">
            {{ partial "osuny/blocks/templates/video/GetIframe" ( dict
              "url" .
              "title" $title
            )}}
          </div>
          {{ end }}
          {{- if $title }}
          <figcaption>
            {{- with $title }}
            <p class="figcaption__title"><strong>{{ partial "osuny/PrepareHTML" . }}</strong></p>
            {{ end -}}
            {{- with .transcription }}
            <div class="figcaption__text">
              {{ partial "osuny/commons/transcription" ( dict
                "transcription" .
                "position" $position
              ) }}
            </div>
            {{ end -}}
          </figcaption>
          {{ end -}}
        </figure>
      </div>
    </div>
  </section>
{{- end -}}
